package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.ComposeActivity;

@Module(
  subcomponents = ActivitiesModule_ContributesComposeActivity.ComposeActivitySubcomponent.class
)
public abstract class ActivitiesModule_ContributesComposeActivity {
  private ActivitiesModule_ContributesComposeActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(ComposeActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      ComposeActivitySubcomponent.Builder builder);

  @Subcomponent
  public interface ComposeActivitySubcomponent extends AndroidInjector<ComposeActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<ComposeActivity> {}
  }
}
