package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.EditProfileActivity;

@Module(
  subcomponents =
      ActivitiesModule_ContributesEditProfileActivity.EditProfileActivitySubcomponent.class
)
public abstract class ActivitiesModule_ContributesEditProfileActivity {
  private ActivitiesModule_ContributesEditProfileActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(EditProfileActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      EditProfileActivitySubcomponent.Builder builder);

  @Subcomponent
  public interface EditProfileActivitySubcomponent extends AndroidInjector<EditProfileActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<EditProfileActivity> {}
  }
}
