package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.LicenseActivity;

@Module(
  subcomponents = ActivitiesModule_ContributesLicenseActivity.LicenseActivitySubcomponent.class
)
public abstract class ActivitiesModule_ContributesLicenseActivity {
  private ActivitiesModule_ContributesLicenseActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(LicenseActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      LicenseActivitySubcomponent.Builder builder);

  @Subcomponent
  public interface LicenseActivitySubcomponent extends AndroidInjector<LicenseActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<LicenseActivity> {}
  }
}
