package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.ReportActivity;

@Module(subcomponents = ActivitiesModule_ContributesReportActivity.ReportActivitySubcomponent.class)
public abstract class ActivitiesModule_ContributesReportActivity {
  private ActivitiesModule_ContributesReportActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(ReportActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      ReportActivitySubcomponent.Builder builder);

  @Subcomponent
  public interface ReportActivitySubcomponent extends AndroidInjector<ReportActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<ReportActivity> {}
  }
}
