package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.PreferencesActivity;

@Module(
  subcomponents =
      ActivitiesModule_ContributesSPreferencesActivity.PreferencesActivitySubcomponent.class
)
public abstract class ActivitiesModule_ContributesSPreferencesActivity {
  private ActivitiesModule_ContributesSPreferencesActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(PreferencesActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      PreferencesActivitySubcomponent.Builder builder);

  @Subcomponent
  public interface PreferencesActivitySubcomponent extends AndroidInjector<PreferencesActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<PreferencesActivity> {}
  }
}
