package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.SavedTootActivity;

@Module(
  subcomponents = ActivitiesModule_ContributesSavedTootActivity.SavedTootActivitySubcomponent.class
)
public abstract class ActivitiesModule_ContributesSavedTootActivity {
  private ActivitiesModule_ContributesSavedTootActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(SavedTootActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      SavedTootActivitySubcomponent.Builder builder);

  @Subcomponent
  public interface SavedTootActivitySubcomponent extends AndroidInjector<SavedTootActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<SavedTootActivity> {}
  }
}
