package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.ViewMediaActivity;

@Module(
  subcomponents = ActivitiesModule_ContributesViewMediaActivity.ViewMediaActivitySubcomponent.class
)
public abstract class ActivitiesModule_ContributesViewMediaActivity {
  private ActivitiesModule_ContributesViewMediaActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(ViewMediaActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      ViewMediaActivitySubcomponent.Builder builder);

  @Subcomponent
  public interface ViewMediaActivitySubcomponent extends AndroidInjector<ViewMediaActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<ViewMediaActivity> {}
  }
}
