package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.ViewTagActivity;

@Module(
  subcomponents = ActivitiesModule_ContributesViewTagActivity.ViewTagActivitySubcomponent.class
)
public abstract class ActivitiesModule_ContributesViewTagActivity {
  private ActivitiesModule_ContributesViewTagActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(ViewTagActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      ViewTagActivitySubcomponent.Builder builder);

  @Subcomponent(modules = FragmentBuildersModule.class)
  public interface ViewTagActivitySubcomponent extends AndroidInjector<ViewTagActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<ViewTagActivity> {}
  }
}
