package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.ViewVideoActivity;

@Module(
  subcomponents = ActivitiesModule_ContributesViewVideoActivity.ViewVideoActivitySubcomponent.class
)
public abstract class ActivitiesModule_ContributesViewVideoActivity {
  private ActivitiesModule_ContributesViewVideoActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(ViewVideoActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      ViewVideoActivitySubcomponent.Builder builder);

  @Subcomponent
  public interface ViewVideoActivitySubcomponent extends AndroidInjector<ViewVideoActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<ViewVideoActivity> {}
  }
}
