package net.letime.lecjoa.di;

import android.support.v4.app.Fragment;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.AndroidInjector;
import dagger.android.support.FragmentKey;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.fragment.NotificationsFragment;

@Module(
  subcomponents =
      FragmentBuildersModule_NotificationsFragment.NotificationsFragmentSubcomponent.class
)
public abstract class FragmentBuildersModule_NotificationsFragment {
  private FragmentBuildersModule_NotificationsFragment() {}

  @Binds
  @IntoMap
  @FragmentKey(NotificationsFragment.class)
  abstract AndroidInjector.Factory<? extends Fragment> bindAndroidInjectorFactory(
      NotificationsFragmentSubcomponent.Builder builder);

  @Subcomponent
  public interface NotificationsFragmentSubcomponent
      extends AndroidInjector<NotificationsFragment> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<NotificationsFragment> {}
  }
}
