package net.letime.lecjoa.di;

import android.support.v4.app.Fragment;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.AndroidInjector;
import dagger.android.support.FragmentKey;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.fragment.TimelineFragment;

@Module(subcomponents = FragmentBuildersModule_TimelineFragment.TimelineFragmentSubcomponent.class)
public abstract class FragmentBuildersModule_TimelineFragment {
  private FragmentBuildersModule_TimelineFragment() {}

  @Binds
  @IntoMap
  @FragmentKey(TimelineFragment.class)
  abstract AndroidInjector.Factory<? extends Fragment> bindAndroidInjectorFactory(
      TimelineFragmentSubcomponent.Builder builder);

  @Subcomponent
  public interface TimelineFragmentSubcomponent extends AndroidInjector<TimelineFragment> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<TimelineFragment> {}
  }
}
