package net.letime.lecjoa.di;

import android.support.v4.app.Fragment;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.AndroidInjector;
import dagger.android.support.FragmentKey;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.fragment.ViewThreadFragment;

@Module(
  subcomponents = FragmentBuildersModule_ViewThreadFragment.ViewThreadFragmentSubcomponent.class
)
public abstract class FragmentBuildersModule_ViewThreadFragment {
  private FragmentBuildersModule_ViewThreadFragment() {}

  @Binds
  @IntoMap
  @FragmentKey(ViewThreadFragment.class)
  abstract AndroidInjector.Factory<? extends Fragment> bindAndroidInjectorFactory(
      ViewThreadFragmentSubcomponent.Builder builder);

  @Subcomponent
  public interface ViewThreadFragmentSubcomponent extends AndroidInjector<ViewThreadFragment> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<ViewThreadFragment> {}
  }
}
