package net.letime.lecjoa.di;

import android.app.Service;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.AndroidInjector;
import dagger.android.ServiceKey;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.service.SendTootService;

@Module(subcomponents = ServicesModule_ContributesSendTootService.SendTootServiceSubcomponent.class)
public abstract class ServicesModule_ContributesSendTootService {
  private ServicesModule_ContributesSendTootService() {}

  @Binds
  @IntoMap
  @ServiceKey(SendTootService.class)
  abstract AndroidInjector.Factory<? extends Service> bindAndroidInjectorFactory(
      SendTootServiceSubcomponent.Builder builder);

  @Subcomponent
  public interface SendTootServiceSubcomponent extends AndroidInjector<SendTootService> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<SendTootService> {}
  }
}
