package net.letime.lecjoa;

import java.lang.System;

/**
 * this is the base class for all activities that open links
 * *  links are checked against the api if they are mastodon links so they can be openend in lecjoa
 * *  Subclasses must have a bottom sheet with Id item_status_bottom_sheet in their layout hierachy
 */
@kotlin.Metadata(mv = {1, 1, 10}, bv = {1, 0, 2}, k = 1, d1 = {"\u0000F\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0002\b&\u0018\u00002\u00020\u0001B\u0005\u00a2\u0006\u0002\u0010\u0002J\b\u0010\u0016\u001a\u00020\u0017H\u0007J\u0010\u0010\u0018\u001a\u00020\u00192\u0006\u0010\u001a\u001a\u00020\u0011H\u0007J\b\u0010\u001b\u001a\u00020\u0017H\u0002J\b\u0010\u001c\u001a\u00020\u0019H\u0007J\u0010\u0010\u001d\u001a\u00020\u00172\u0006\u0010\u001a\u001a\u00020\u0011H\u0007J\u0012\u0010\u001e\u001a\u00020\u00172\b\u0010\u001a\u001a\u0004\u0018\u00010\u0011H\u0007J\u0012\u0010\u001f\u001a\u00020\u00172\b\u0010 \u001a\u0004\u0018\u00010!H\u0014J\u0010\u0010\"\u001a\u00020\u00172\u0006\u0010\u001a\u001a\u00020\u0011H\u0017J\b\u0010#\u001a\u00020\u0017H\u0002J\u0010\u0010$\u001a\u00020\u00172\u0006\u0010%\u001a\u00020\u0011H\u0016J\u0010\u0010&\u001a\u00020\u00172\u0006\u0010\'\u001a\u00020(H\u0016J\u0010\u0010)\u001a\u00020\u00172\u0006\u0010\u001a\u001a\u00020\u0011H\u0016R \u0010\u0003\u001a\b\u0012\u0004\u0012\u00020\u00050\u0004X\u0086.\u00a2\u0006\u000e\n\u0000\u001a\u0004\b\u0006\u0010\u0007\"\u0004\b\b\u0010\tR\u001e\u0010\n\u001a\u00020\u000b8\u0006@\u0006X\u0087.\u00a2\u0006\u000e\n\u0000\u001a\u0004\b\f\u0010\r\"\u0004\b\u000e\u0010\u000fR\u001c\u0010\u0010\u001a\u0004\u0018\u00010\u0011X\u0086\u000e\u00a2\u0006\u000e\n\u0000\u001a\u0004\b\u0012\u0010\u0013\"\u0004\b\u0014\u0010\u0015\u00a8\u0006*"}, d2 = {"Lnet/letime/lecjoa/BottomSheetActivity;", "Lnet/letime/lecjoa/BaseActivity;", "()V", "bottomSheet", "Landroid/support/design/widget/BottomSheetBehavior;", "Landroid/widget/LinearLayout;", "getBottomSheet", "()Landroid/support/design/widget/BottomSheetBehavior;", "setBottomSheet", "(Landroid/support/design/widget/BottomSheetBehavior;)V", "mastodonApi", "Lnet/letime/lecjoa/network/MastodonApi;", "getMastodonApi", "()Lnet/letime/lecjoa/network/MastodonApi;", "setMastodonApi", "(Lnet/letime/lecjoa/network/MastodonApi;)V", "searchUrl", "", "getSearchUrl", "()Ljava/lang/String;", "setSearchUrl", "(Ljava/lang/String;)V", "cancelActiveSearch", "", "getCancelSearchRequested", "", "url", "hideQuerySheet", "isSearching", "onBeginSearch", "onEndSearch", "onPostCreate", "savedInstanceState", "Landroid/os/Bundle;", "openLink", "showQuerySheet", "viewAccount", "id", "viewThread", "status", "Lnet/letime/lecjoa/entity/Status;", "viewUrl", "app_debug"})
public abstract class BottomSheetActivity extends net.letime.lecjoa.BaseActivity {
    @org.jetbrains.annotations.NotNull()
    public android.support.design.widget.BottomSheetBehavior<android.widget.LinearLayout> bottomSheet;
    @org.jetbrains.annotations.Nullable()
    private java.lang.String searchUrl;
    @org.jetbrains.annotations.NotNull()
    @javax.inject.Inject()
    public net.letime.lecjoa.network.MastodonApi mastodonApi;
    private java.util.HashMap _$_findViewCache;
    
    @org.jetbrains.annotations.NotNull()
    public final android.support.design.widget.BottomSheetBehavior<android.widget.LinearLayout> getBottomSheet() {
        return null;
    }
    
    public final void setBottomSheet(@org.jetbrains.annotations.NotNull()
    android.support.design.widget.BottomSheetBehavior<android.widget.LinearLayout> p0) {
    }
    
    @org.jetbrains.annotations.Nullable()
    public final java.lang.String getSearchUrl() {
        return null;
    }
    
    public final void setSearchUrl(@org.jetbrains.annotations.Nullable()
    java.lang.String p0) {
    }
    
    @org.jetbrains.annotations.NotNull()
    public final net.letime.lecjoa.network.MastodonApi getMastodonApi() {
        return null;
    }
    
    public final void setMastodonApi(@org.jetbrains.annotations.NotNull()
    net.letime.lecjoa.network.MastodonApi p0) {
    }
    
    @java.lang.Override()
    protected void onPostCreate(@org.jetbrains.annotations.Nullable()
    android.os.Bundle savedInstanceState) {
    }
    
    public void viewUrl(@org.jetbrains.annotations.NotNull()
    java.lang.String url) {
    }
    
    public void viewThread(@org.jetbrains.annotations.NotNull()
    net.letime.lecjoa.entity.Status status) {
    }
    
    public void viewAccount(@org.jetbrains.annotations.NotNull()
    java.lang.String id) {
    }
    
    @android.support.annotation.VisibleForTesting()
    public final void onBeginSearch(@org.jetbrains.annotations.NotNull()
    java.lang.String url) {
    }
    
    @android.support.annotation.VisibleForTesting()
    public final boolean getCancelSearchRequested(@org.jetbrains.annotations.NotNull()
    java.lang.String url) {
        return false;
    }
    
    @android.support.annotation.VisibleForTesting()
    public final boolean isSearching() {
        return false;
    }
    
    @android.support.annotation.VisibleForTesting()
    public final void onEndSearch(@org.jetbrains.annotations.Nullable()
    java.lang.String url) {
    }
    
    @android.support.annotation.VisibleForTesting()
    public final void cancelActiveSearch() {
    }
    
    @android.support.annotation.VisibleForTesting()
    public void openLink(@org.jetbrains.annotations.NotNull()
    java.lang.String url) {
    }
    
    private final void showQuerySheet() {
    }
    
    private final void hideQuerySheet() {
    }
    
    public BottomSheetActivity() {
        super();
    }
}