package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.AboutActivity;

@Module(subcomponents = ActivitiesModule_ContributesAboutActivity.AboutActivitySubcomponent.class)
public abstract class ActivitiesModule_ContributesAboutActivity {
  private ActivitiesModule_ContributesAboutActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(AboutActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      AboutActivitySubcomponent.Builder builder);

  @Subcomponent
  public interface AboutActivitySubcomponent extends AndroidInjector<AboutActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<AboutActivity> {}
  }
}
