package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.AccountActivity;

@Module(
  subcomponents = ActivitiesModule_ContributesAccountActivity.AccountActivitySubcomponent.class
)
public abstract class ActivitiesModule_ContributesAccountActivity {
  private ActivitiesModule_ContributesAccountActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(AccountActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      AccountActivitySubcomponent.Builder builder);

  @Subcomponent(modules = FragmentBuildersModule.class)
  public interface AccountActivitySubcomponent extends AndroidInjector<AccountActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<AccountActivity> {}
  }
}
