package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.BaseActivity;

@Module(subcomponents = ActivitiesModule_ContributesBaseActivity.BaseActivitySubcomponent.class)
public abstract class ActivitiesModule_ContributesBaseActivity {
  private ActivitiesModule_ContributesBaseActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(BaseActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      BaseActivitySubcomponent.Builder builder);

  @Subcomponent
  public interface BaseActivitySubcomponent extends AndroidInjector<BaseActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<BaseActivity> {}
  }
}
