package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.FavouritesActivity;

@Module(
  subcomponents =
      ActivitiesModule_ContributesFavouritesActivity.FavouritesActivitySubcomponent.class
)
public abstract class ActivitiesModule_ContributesFavouritesActivity {
  private ActivitiesModule_ContributesFavouritesActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(FavouritesActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      FavouritesActivitySubcomponent.Builder builder);

  @Subcomponent(modules = FragmentBuildersModule.class)
  public interface FavouritesActivitySubcomponent extends AndroidInjector<FavouritesActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<FavouritesActivity> {}
  }
}
