package net.letime.lecjoa.di;

import android.app.Activity;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.ActivityKey;
import dagger.android.AndroidInjector;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.ListsActivity;

@Module(subcomponents = ActivitiesModule_ContributesListsActivity.ListsActivitySubcomponent.class)
public abstract class ActivitiesModule_ContributesListsActivity {
  private ActivitiesModule_ContributesListsActivity() {}

  @Binds
  @IntoMap
  @ActivityKey(ListsActivity.class)
  abstract AndroidInjector.Factory<? extends Activity> bindAndroidInjectorFactory(
      ListsActivitySubcomponent.Builder builder);

  @Subcomponent(modules = FragmentBuildersModule.class)
  public interface ListsActivitySubcomponent extends AndroidInjector<ListsActivity> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<ListsActivity> {}
  }
}
