package net.letime.lecjoa.di;

import android.support.v4.app.Fragment;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.AndroidInjector;
import dagger.android.support.FragmentKey;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.fragment.AccountListFragment;

@Module(
  subcomponents = FragmentBuildersModule_AccountListFragment.AccountListFragmentSubcomponent.class
)
public abstract class FragmentBuildersModule_AccountListFragment {
  private FragmentBuildersModule_AccountListFragment() {}

  @Binds
  @IntoMap
  @FragmentKey(AccountListFragment.class)
  abstract AndroidInjector.Factory<? extends Fragment> bindAndroidInjectorFactory(
      AccountListFragmentSubcomponent.Builder builder);

  @Subcomponent
  public interface AccountListFragmentSubcomponent extends AndroidInjector<AccountListFragment> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<AccountListFragment> {}
  }
}
