package net.letime.lecjoa.di;

import android.support.v4.app.Fragment;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.AndroidInjector;
import dagger.android.support.FragmentKey;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.fragment.AccountMediaFragment;

@Module(
  subcomponents = FragmentBuildersModule_AccountMediaFragment.AccountMediaFragmentSubcomponent.class
)
public abstract class FragmentBuildersModule_AccountMediaFragment {
  private FragmentBuildersModule_AccountMediaFragment() {}

  @Binds
  @IntoMap
  @FragmentKey(AccountMediaFragment.class)
  abstract AndroidInjector.Factory<? extends Fragment> bindAndroidInjectorFactory(
      AccountMediaFragmentSubcomponent.Builder builder);

  @Subcomponent
  public interface AccountMediaFragmentSubcomponent extends AndroidInjector<AccountMediaFragment> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<AccountMediaFragment> {}
  }
}
