package net.letime.lecjoa.di;

import android.support.v4.app.Fragment;
import dagger.Binds;
import dagger.Module;
import dagger.Subcomponent;
import dagger.android.AndroidInjector;
import dagger.android.support.FragmentKey;
import dagger.multibindings.IntoMap;
import net.letime.lecjoa.fragment.SearchFragment;

@Module(subcomponents = FragmentBuildersModule_SearchFragment.SearchFragmentSubcomponent.class)
public abstract class FragmentBuildersModule_SearchFragment {
  private FragmentBuildersModule_SearchFragment() {}

  @Binds
  @IntoMap
  @FragmentKey(SearchFragment.class)
  abstract AndroidInjector.Factory<? extends Fragment> bindAndroidInjectorFactory(
      SearchFragmentSubcomponent.Builder builder);

  @Subcomponent
  public interface SearchFragmentSubcomponent extends AndroidInjector<SearchFragment> {
    @Subcomponent.Builder
    abstract class Builder extends AndroidInjector.Builder<SearchFragment> {}
  }
}
